FreeMat

- Main Page
- Related Pages

vtkXMLUnstructuredDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLUnstructuredDataWriter provides VTK XML writing functionality that is common among all the unstructured data formats.

To create an instance of class vtkXMLUnstructuredDataWriter, simply invoke its constructor as follows

      obj = vtkXMLUnstructuredDataWriter

# Methods

The class vtkXMLUnstructuredDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLUnstructuredDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLUnstructuredDataWriter = obj.NewInstance ()`
- `vtkXMLUnstructuredDataWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfPieces (int )` - Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.
- `int = obj.GetNumberOfPieces ()` - Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.
- `obj.SetWritePiece (int )` - Get/Set the piece to write to the file. If this is negative or equal to the NumberOfPieces, all pieces will be written.
- `int = obj.GetWritePiece ()` - Get/Set the piece to write to the file. If this is negative or equal to the NumberOfPieces, all pieces will be written.
- `obj.SetGhostLevel (int )` - Get/Set the ghost level used to pad each piece.
- `int = obj.GetGhostLevel ()` - Get/Set the ghost level used to pad each piece.